.animsition,
.animsition-overlay {
  position: relative;
  opacity: 0;
  animation-fill-mode: both;
}

/**
 * overlay option
 */
.animsition-overlay-slide {
  position: fixed;
  z-index: 1000;
  width: 100%;
  height: 100%;
  background-color: #1f419a;
}

 /* loading option */
.animsition-loading,
.animsition-loading:after {
  width: 32px;
  height: 32px;
  position: fixed;
  top: 50%;
  left: 50%;
  margin-top: -16px;
  margin-left: -16px;
  border-radius: 50%;
  z-index: 1001;
}

.animsition-loading {
  background-color: transparent;
  border-top: 5px solid rgba(0, 0, 0, 0.2);
  border-right: 5px solid rgba(0, 0, 0, 0.2);
  border-bottom: 5px solid rgba(0, 0, 0, 0.2);
  border-left: 5px solid #eee;
  transform: translateZ(0);
  animation-iteration-count:infinite;
  animation-timing-function: linear;
  animation-duration: .8s;
  animation-name: animsition-loading;
}

@keyframes animsition-loading {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

@keyframes overlay-slide-in-left {
  0% {
    width: 100%;
  }
  100% {
    width: 0;
  }
}


.overlay-slide-in-left {
  width: 0;
  animation-name: overlay-slide-in-left;
}


@keyframes overlay-slide-out-left {
  0% {
    width: 0;
  }
  100% {
    width: 100%;
  }
}


.overlay-slide-out-left {
  left: 0;
  width: 100%;
  animation-name: overlay-slide-out-left;
}

@keyframes overlay-slide-in-right {
  0% {
    width: 100%;
  }
  100% {
    width: 0;
  }
}


.overlay-slide-in-right {
  right: 0;
  width: 0;
  animation-name: overlay-slide-in-right;
}


@keyframes overlay-slide-out-right {
  0% {
    width: 0;
  }
  100% {
    width: 100%;
  }
}


.overlay-slide-out-right {
  right: 0;
  width: 100%;
  animation-name: overlay-slide-out-right;
}
